# Uses of Interface
org.apache.sysds.runtime.ooc.cache.io.SpillableObject

Packages that use SpillableObject
Package
Description
org.apache.sysds.runtime.instructions.spark.data
org.apache.sysds.runtime.ooc.cache.io
org.apache.sysds.runtime.ooc.cache.packed

## Uses of SpillableObject in org.apache.sysds.runtime.instructions.spark.data

Classes in org.apache.sysds.runtime.instructions.spark.data that implement SpillableObject
Modifier and Type
Class
Description
`class`
`IndexedMatrixValue`

## Uses of SpillableObject in org.apache.sysds.runtime.ooc.cache.io

Methods in org.apache.sysds.runtime.ooc.cache.io that return SpillableObject
Modifier and Type
Method
Description
`static SpillableObject`
SpillableObjectRegistry.`read(DataInput in)`
Methods in org.apache.sysds.runtime.ooc.cache.io with parameters of type SpillableObject
Modifier and Type
Method
Description
`static boolean`
SpillableObjectRegistry.`tryWrite(DataOutput out, SpillableObject obj)`

## Uses of SpillableObject in org.apache.sysds.runtime.ooc.cache.packed

Classes in org.apache.sysds.runtime.ooc.cache.packed that implement SpillableObject
Modifier and Type
Class
Description
`final class`
`PackedBlock`